Subject: [forces] comments #9

From: Jamal Hadi Salim <[email-masked]>
Date: Sun, 14 Aug 2011 06:42:03 -0400

Weiming,
Since you responded, here's more ...
Slighly longer than last one ...

---
17)Section 5.2.1.1
i) "This LFB performs IPv4 validation according to RFC 1812. Then the
IPv4 packet will be output to the corresponding port regarding of the
validation result, whether the packet is a unicast or a multicast
one, an exception has occurred or the validation failed."

to:
"This LFB performs IPv4 validation according to RFC 1812. The
IPv4 packet will be output to the corresponding LFB port the
indication whether the packet is unicast, multicast
or whether an exception has occurred or the validation failed."

ii) The paragraph that starts with:
"Note that, as a default provision of RFC 5812, .."
I dont think belongs in this section. It is a generic description;
probably belongs in earlier sections such as the area where the terms
downstream/upstream are being introduced.

iii) "Four output ports are defined to output various validation results."
to:
"Four output LFB ports are defined."

iv) Delete the unnecessary sentence that reads:
"There is no metadata specifically required to produce at these
output ports."

v) Should the first 3 exceptions really not be errors?
I can understand Router Alert being an exception

vi) "Note that, although TTL is checked in this LFB for validity,
operations to TTL like TTL decreasing will be made only in a followed
forwarding LFB."
to:
"Note that, although TTL is checked in this LFB for validity,
operations like TTL decrement are made the downstream forwarding LFB."

vii) "A validate error ID is associated to every failed packet to indicate
the reason."
to:
"An  error ID is associated a packet to indicate the failure reason."

viii)
"Packet with source address equal to 255.255.255.255"
was earlier listed as an exception and now is listed as an error.
I think it should be an error and not at the exception level.

17)Section 5.2.2
RFC 2460 seems to have been entered as text instead of an xml tag.
I know this because it doesnt exist in the reference section.
If it was the xml2rfc tool would have caught the missing reference.
Please check the text for such errors.

18) Section 5.2.2.1.
i) "output ports to output packets for various validation results."
to:
"output ports to emit packets with various validation results."

ii) "There is no metadata specifically required to produce at
at these output ports.  "
to:
"There is no metadata produced at this LFB"

iii) Again - some of the exceptions appear to be errors. Please
double check. When you fix them please make sure you fix the
xml as well...
---

cheers,
jamal